Delete Blueprints States

Purpose

To delete one or more Blueprints States from your Zoho CRM organization.

Endpoints

  • DELETE /settings/blueprints/{blueprint_ID}/states?ids={blueprint_state_ID1, blueprint_state_ID2, blueprint_state_ID3, ..}
  • DELETE /settings/blueprints/{blueprint_ID}/states/{blueprint_state_ID}

Request Details

Request URL

To delete multiple Blueprint States by their IDs:
{api-domain}/crm/{version}/settings/blueprints/{blueprint_ID}/states?ids={blueprint_state_ID1, blueprint_state_ID2, blueprint_state_ID3, ..}


To delete a specific Blueprint State by its ID:
{api-domain}/crm/{version}/settings/blueprints/{blueprint_ID}/states/{blueprint_state_ID}
 

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.blueprint.states.delete

Parameters
  • ids string, mandatory for deleting multiple Blueprints States

    Specify the unique IDs of Blueprints States that you want to delete.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/5843104000001083121/states/5843104000001083131"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X DELETE

Possible Errors

  • INVALID_DATAHTTP 400
    • The state ID given seems to be invalid.
      Resolution: Specify valid state ID.
    • The process id given seems to be invalid.
      Resolution: Specify valid blueprint ID.
  • REQUIRED_PARAM_MISSINGHTTP 400

    One of the expected parameters is missing.
    Resolution: Specify the ids parameter with valid state IDs.

  • INVALID_REQUEST_METHODHTTP 400

    The HTTP request method type is not valid.
    Resolution: Specify a valid HTTP method for the API endpoint.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized.
    Resolution: The client does not have a valid scope to delete state. Create a token with the required scope.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed.
    Resolution: Pass a valid OAuth access token in the request header.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the request URL section above.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error.
    Resolution: Unexpected and unhandled exception in the server. Contact the support team.

Copied{
    "states": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5843104000001083131"
            },
            "message": "State deleted successfully",
            "status": "success"
        }
    ]
}